Skip to main content
GET
List profiles

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

Authorization
string
required

Bearer token

Query Parameters

include
string

Comma-separated list of relationships to include. Allowed: current_department, current_primary_appointment, primary_appointments, additional_appointments, addresses, user

sort
string

Sort order. Prefix with - for descending. Allowed: created_at, updated_at, display_name, legal_first_name, legal_last_name

filter[key]
string

Filter results. Available filters: created_at, created_at.neq, created_at.lt, created_at.lte, created_at.gt, created_at.gte, updated_at, updated_at.neq, updated_at.lt, updated_at.lte, updated_at.gt, updated_at.gte, legal_first_name, employee_id, email, display_name, display_name.neq, display_name.cont (case-insensitive substring match), display_name.in (list of values, comma-separated), display_name.nin (list of values, comma-separated), prefix, prefix.neq, prefix.cont (case-insensitive substring match), prefix.in (list of values, comma-separated), prefix.nin (list of values, comma-separated), legal_maiden_name, legal_maiden_name.neq, legal_maiden_name.cont (case-insensitive substring match), legal_maiden_name.in (list of values, comma-separated), legal_maiden_name.nin (list of values, comma-separated), suffix, suffix.neq, suffix.cont (case-insensitive substring match), suffix.in (list of values, comma-separated), suffix.nin (list of values, comma-separated), birthdate, birthdate.neq, birthdate.lt, birthdate.lte, birthdate.gt, birthdate.gte, deceased_on, deceased_on.neq, deceased_on.lt, deceased_on.lte, deceased_on.gt, deceased_on.gte, racial_identity, racial_identity.neq, racial_identity.cont (case-insensitive substring match), racial_identity.in (list of values, comma-separated), racial_identity.nin (list of values, comma-separated), current_department, current_department.exists (boolean), current_primary_appointment, current_primary_appointment.exists (boolean), primary_appointments, additional_appointments, addresses, user. Filter by a custom field with filter[custom_fields][<key>]=<value>. The neq, cont, in, nin, lt, lte, gt, and gte operators take the form filter[custom_fields.<operator>][<key>]=<value>, where the field's type decides which apply.

page[size]
integer

Number of items per page (max 100)

page[after]
string

Cursor for next page

page[before]
string

Cursor for previous page

Response

profiles found

data
object[]
required
meta
object